#generalHeader {
    padding-top: 70px;
    font-family: 'Roboto-Bold', sans-serif;
    font-size: 1.0em;
    color: hsl(0, 0%, 10%);
    width: 100%;
    height: 40px;

    background-color: hsl(203, 100%, 98%);
    position: relative;
}

#generalRows {
    display: flex;
    flex-direction: column;
    vertical-align: center;
    align-content: center;
}

.backHeader {
    padding-top: 92px;
    font-family: 'Roboto-Regular', sans-serif;
    font-size: 0.8em;
    width: 100%;
    height: 30px;
    background-color: transparent;
    position: relative;
}

.backHeaderLabel {
    cursor: pointer;
    line-height: 40px;
    padding-left: 20px;
    position: absolute;
    bottom: 0;
    left: 0;
    color: hsl(218,58%,66%);
}

.backHeaderLabel:hover {
    color: hsl(218,42%,48%);
}

#generalHeaderBelowBack {
    padding-top: 0px;
    font-family: 'Roboto-Bold', sans-serif;
    font-size: 1.3em;
    color: hsl(0, 0%, 10%);
    width: 100%;
    height: 32px;
    background-color: transparent;
    position: relative;
}

.generalRow {
    font-family: 'Roboto-Regular', sans-serif;
    font-size: 0.9em;
    color: black;
    height: 60px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    background-color: white;
    cursor: pointer;
}

.topLine {
    height: 0.7px;
    background-color: hsl(0, 0%, 80%);
    left: 0px;
    right: 0;
    top: 0;
    position: absolute;
}

#deleteAccountRow {
    margin-top: 50px;
}

.bottomLine {
    height: 0.7px;
    background-color: hsl(0, 0%, 80%);
    left: 0px;
    right: 0;
    bottom: 0;
    position: absolute;
}

.settingsLabel {
    line-height: 60px;
    padding-left: 20px;
}

.headerLabel {
    line-height: 40px;
    padding-left: 20px;
    position: absolute;
    bottom: 0;
    left: 0;
}

.rightArrowImage {
    height: 26px;
    width: 26px;
    top: 17px;
    position: absolute;
    right: 20px;
}

body {
    background: #FAFAFA;
}

#alertBackground {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    display: flex;

    z-index: 70000;
    justify-content: space-evenly;
    opacity: 0;
    visibility: hidden;
    align-items: center;
    background-color: hsla(0, 0%, 5%, 20%);
    transition: all 0.2s;
}


#alertView {
    width: 200px;
    height: 160px;
    opacity: 0;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    gap: 10px;
    flex-direction: column;
    visibility: hidden;
    padding: 30px;
    background-color: white;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    border-radius: 10px;
    transition: transform 0.4s ease-in-out;
}

#alertGoBackButton {
    position: absolute;
    bottom: 0;
    left: 0;
    color: hsl(211,100%,50%);
    width: 130px;
    height: 60px;
    font-family: 'Roboto-Bold', sans-serif;
    font-size: 1.0em;
    margin-top: 30px;
    cursor: pointer;
    border: 0.5px solid hsl(0, 0%, 70%);
    border-bottom-left-radius: 5px;
    background-color: transparent;
}


#alertDeleteButton {
    position: absolute;
    bottom: 0;
    right: 0;
    color: hsl(211,100%,50%);
    width: 130px;
    height: 60px;
    background-color: transparent;
    font-family: 'Roboto-Bold', sans-serif;
    font-size: 1.0em;
    margin-top: 30px;
    cursor: pointer;
    border: 0.5px solid hsl(0, 0%, 70%);
    border-bottom-right-radius: 5px;
}


#alertWordsDiv {
    display: flex;
    gap: 10px;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    align-items: center;
}

#alertTitle {
    color: black;
    font-family: "Roboto-Bold", sans-serif;
    font-size: 1.0em;
    text-align: center;
}

#alertMessage {
    text-align: center;
    color: black;
    font-family: "Roboto-Bold", sans-serif;
    font-size: 0.9em;

}

#invalidBackground {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    display: flex;

    z-index: 70000;
    justify-content: space-evenly;
    opacity: 0;
    visibility: hidden;
    align-items: center;
    background-color: hsla(0, 0%, 5%, 20%);
    transition: all 0.2s;
}


#invalidView {
    width: 200px;
    height: 120px;
    opacity: 0;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    gap: 10px;
    flex-direction: column;
    visibility: hidden;
    padding: 30px;
    background-color: white;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    border-radius: 10px;
    transition: transform 0.4s ease-in-out;
}

#invalidOkButton {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    color: hsl(211,100%,50%);
    height: 60px;
    font-family: 'Roboto-Medium', sans-serif;
    font-size: 1.0em;
    margin-top: 30px;
    cursor: pointer;
    border: 0.5px solid hsl(0, 0%, 70%);
    border-bottom-left-radius: 5px;
    background-color: transparent;

}



#invalidWordsDiv {
    display: flex;
    gap: 10px;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    align-items: center;
}

#invalidTitle {
    color: black;
    font-family: "Roboto-Bold", sans-serif;
    font-size: 1.0em;
    text-align: center;
}

#invalidMessage {
    text-align: center;
    color: black;
    font-family: "Roboto-Regular", sans-serif;
    font-size: 0.9em;

}
